vim.opt.termguicolors = true
vim.opt.clipboard = 'unnamed,unnamedplus'
vim.opt.timeoutlen = 300
vim.opt.mouse = 'a'
vim.opt.undodir = vim.fn.expand('~/.cache/vim/undo')
vim.opt.listchars = 'tab:▸ ,extends:❯,precedes:❮'

vim.opt.number = true
vim.opt.relativenumber = true
vim.opt.list = true

vim.opt.autoindent = true
vim.opt.expandtab = true
vim.opt.softtabstop = 4
vim.opt.shiftwidth = 4
vim.opt.tabstop = 4
vim.opt.smartindent = true
vim.opt.modeline = true

vim.opt.undofile = true
vim.g.mapleader = ' '

vim.opt.completeopt = {'menuone', 'noselect', 'noinsert'}
vim.opt.shortmess = vim.opt.shortmess + { c = true}
vim.api.nvim_set_option('updatetime', 100)

-- Fixed column for diagnostics to appear
-- Show autodiagnostic popup on cursor hover_range
-- Goto previous / next diagnostic warning / error 
-- Show inlay_hints more frequently 
vim.cmd([[
set signcolumn=yes
autocmd CursorHold * lua vim.diagnostic.open_float(nil, { focusable = false })
]])

-- Load utilities
require('kalle.utils')

-- Load plugins
require('kalle.plugins')

vim.cmd('colorscheme carbonfox')

-- Load config
require('kalle.config')

-- TODO:
-- - Terminal panel at the bottem that can be hidden / shown with a hotkey (<Leader>ts [Leader Toggle Shell]?) [https://github.com/akinsho/toggleterm.nvim]
-- - Spell checker
-- - Debugger integration (gdb?, java?/kotlin?, rust?, etc)
-- - https://github.com/SmiteshP/nvim-navic
-- - https://github.com/simrat39/symbols-outline.nvim
-- - More...?
