Keybind.g({
    -- [ space + h ] move cursor to left window
    { 'n', '<Leader>h', '<Cmd>wincmd h<CR>', { noremap = true, desc = 'Window left' } },
    -- [ space + l ] move cursor to bottom window
    { 'n', '<Leader>j', '<Cmd>wincmd j<CR>', { noremap = true, desc = 'Window down' } },
    -- [ space + j ] move cursor to top window
    { 'n', '<Leader>k', '<Cmd>wincmd k<CR>', { noremap = true, desc = 'Window up' } },
    -- [ space + k ] move cursor to right window
    { 'n', '<Leader>l', '<Cmd>wincmd l<CR>', { noremap = true, desc = 'Window right' } },
    -- [ space + 1 ] tab 1
    { 'n', '<Leader>1', '<Cmd>BufferLineGoToBuffer 1<CR>', {noremap = true, desc = 'Tab 1' } },
    -- [ space + 2 ] tab 2
    { 'n', '<Leader>2', '<Cmd>BufferLineGoToBuffer 2<CR>', {noremap = true, desc = 'Tab 2' } },
    -- [ space + 3 ] tab 3
    { 'n', '<Leader>3', '<Cmd>BufferLineGoToBuffer 3<CR>', {noremap = true, desc = 'Tab 3' } },
    -- [ space + 4 ] tab 4
    { 'n', '<Leader>4', '<Cmd>BufferLineGoToBuffer 4<CR>', {noremap = true, desc = 'Tab 4' } },
    -- [ space + 5 ] tab 5
    { 'n', '<Leader>5', '<Cmd>BufferLineGoToBuffer 5<CR>', {noremap = true, desc = 'Tab 5' } },
    -- [ space + 6 ] tab 6
    { 'n', '<Leader>6', '<Cmd>BufferLineGoToBuffer 6<CR>', {noremap = true, desc = 'Tab 6' } },
    -- [ space + 7 ] tab 7
    { 'n', '<Leader>7', '<Cmd>BufferLineGoToBuffer 7<CR>', {noremap = true, desc = 'Tab 7' } },
    -- [ space + 8 ] tab 8
    { 'n', '<Leader>8', '<Cmd>BufferLineGoToBuffer 8<CR>', {noremap = true, desc = 'Tab 8' } },
    -- [ space + 9 ] tab 9
    { 'n', '<Leader>9', '<Cmd>BufferLineGoToBuffer 9<CR>', {noremap = true, desc = 'Tab 9' } },

    -- [ space + t ] Toggles
    { 'n', '<Leader>t', '', { noremap = true, desc = '+Toggle' } },
    -- [ space + t + t] Toggle file tree
    { 'n', '<Leader>tt', '<Cmd>NvimTreeToggle<CR>', { noremap = true, desc = 'Open file tree' } },
    -- [ space + t + g] Neogit
    { 'n', '<Leader>tg', '<Cmd>Neogit<CR>', { noremap = true, desc = 'Open git status' } },

    -- [ space + o] Open
    { 'n', '<Leader>o', '', { noremap = true, desc = '+Open' } },
    -- [ space + o + f] Open file
    { 'n', '<Leader>of', '<Cmd>Telescope find_files<CR>', { noremap = true, desc = 'Open file' } },

    -- [ space + c] Code
    { 'n', '<Leader>c', '', {noremap = true, desc = '+Code' } },
    -- [ space + c + a] Code actions
    { 'n', '<Leader>ca', '<Cmd>lua vim.lsp.buf.code_action()<CR>', {noremap = true, desc = 'Code actions' } },
    -- [ space + c]
    { 'n', '<Leader>cr', '<Cmd>Telescope lsp_references<CR>', {noremap = true, desc = 'References' } },
    -- [ space + c]
    { 'n', '<Leader>cd', '<Cmd>Telescope lsp_definitions<CR>', {noremap = true, desc = 'Definitions' } },
})
